package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.SrsKnrdType;

/**
 * 困难类型Service接口
 *
 * @author srs
 * @date 2024-06-05
 */
public interface ISrsKnrdTypeService extends IService<SrsKnrdType> {


    public AjaxResult doImport(List<SrsKnrdType> param);


    /**
     * 查询困难类型
     *
     * @param id 困难类型主键
     * @return 困难类型
     */
    public SrsKnrdType selectSrsKnrdTypeById(Long id);

    /**
     * 查询困难类型列表
     *
     * @param srsKnrdType 困难类型
     * @return 困难类型集合
     */
    List<SrsKnrdType> selectSrsKnrdTypeList(SrsKnrdType srsKnrdType);

    /**
     * 新增困难类型
     *
     * @param srsKnrdType 困难类型
     * @return 结果
     */
    int insertSrsKnrdType(SrsKnrdType srsKnrdType) throws Exception;

    /**
     * 修改困难类型
     *
     * @param srsKnrdType 困难类型
     * @return 结果
     */
    int updateSrsKnrdType(SrsKnrdType srsKnrdType) throws Exception;

    /**
     * 批量删除困难类型
     *
     * @param ids 需要删除的困难类型主键集合
     * @return 结果
     */
    int deleteSrsKnrdTypeByIds(Long[] ids);

    /**
     * 删除困难类型信息
     *
     * @param id 困难类型主键
     * @return 结果
     */
    int deleteSrsKnrdTypeById(Long id);


    /**
     * 根据学号获取困难类型
     * @param srsKnrdType
     * @return
     */
    SrsKnrdType queryByStuNo(SrsKnrdType srsKnrdType);
}
